.TH "mca_ptl_base_peer_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_ptl_base_peer_t \- An abstraction that represents a connection to a peer process.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <ptl_llc_peer.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBopal_list_item_t\fP \fBsuper\fP"
.br
.ti -1c
.RI "\fBmca_ptl_llc_module_t\fP * \fBpeer_ptl\fP"
.br
.RI "\fIPTL instance that created this connection. \fP"
.ti -1c
.RI "\fBmca_ptl_llc_proc_t\fP * \fBpeer_proc\fP"
.br
.RI "\fIproc structure corresponding to peer \fP"
.ti -1c
.RI "\fBmca_ptl_llc_addr_t\fP * \fBpeer_addr\fP"
.br
.RI "\fIaddress of peer \fP"
.ti -1c
.RI "int \fBpeer_sd\fP"
.br
.RI "\fIsocket connection to peer \fP"
.ti -1c
.RI "\fBmca_ptl_llc_send_frag_t\fP * \fBpeer_send_frag\fP"
.br
.RI "\fIcurrent send frag being processed \fP"
.ti -1c
.RI "\fBmca_ptl_llc_recv_frag_t\fP * \fBpeer_recv_frag\fP"
.br
.RI "\fIcurrent recv frag being processed \fP"
.ti -1c
.RI "\fBmca_ptl_llc_state_t\fP \fBpeer_state\fP"
.br
.RI "\fIcurrent state of the connection \fP"
.ti -1c
.RI "size_t \fBpeer_retries\fP"
.br
.RI "\fInumber of connection retries attempted \fP"
.ti -1c
.RI "\fBopal_list_t\fP \fBpeer_frags\fP"
.br
.RI "\fIlist of pending frags to send \fP"
.ti -1c
.RI "\fBopal_mutex_t\fP \fBpeer_send_lock\fP"
.br
.RI "\fIlock for concurrent access to peer state \fP"
.ti -1c
.RI "\fBopal_mutex_t\fP \fBpeer_recv_lock\fP"
.br
.RI "\fIlock for concurrent access to peer state \fP"
.ti -1c
.RI "opal_event_t \fBpeer_send_event\fP"
.br
.RI "\fIevent for async processing of send frags \fP"
.ti -1c
.RI "opal_event_t \fBpeer_recv_event\fP"
.br
.RI "\fIevent for async processing of recv frags \fP"
.ti -1c
.RI "bool \fBpeer_nbo\fP"
.br
.RI "\fIconvert headers to network byte order? \fP"
.ti -1c
.RI "\fBopal_list_item_t\fP \fBpeer_item\fP"
.br
.ti -1c
.RI "mx_endpoint_addr_t \fBpeer_addr\fP"
.br
.ti -1c
.RI "\fBmca_ptl_mx_module_t\fP * \fBpeer_ptl\fP"
.br
.ti -1c
.RI "\fBmca_ptl_mx_proc_t\fP * \fBpeer_proc\fP"
.br
.ti -1c
.RI "int \fBmy_smp_rank\fP"
.br
.RI "\fIMy SMP process rank. \fP"
.ti -1c
.RI "int \fBpeer_smp_rank\fP"
.br
.RI "\fIMy peer's SMP process rank. \fP"
.ti -1c
.RI "\fBmca_ptl_tcp_module_t\fP * \fBpeer_ptl\fP"
.br
.RI "\fIPTL instance that created this connection. \fP"
.ti -1c
.RI "\fBmca_ptl_tcp_proc_t\fP * \fBpeer_proc\fP"
.br
.RI "\fIproc structure corresponding to peer \fP"
.ti -1c
.RI "\fBmca_ptl_tcp_addr_t\fP * \fBpeer_addr\fP"
.br
.RI "\fIaddress of peer \fP"
.ti -1c
.RI "\fBmca_ptl_tcp_send_frag_t\fP * \fBpeer_send_frag\fP"
.br
.RI "\fIcurrent send frag being processed \fP"
.ti -1c
.RI "\fBmca_ptl_tcp_recv_frag_t\fP * \fBpeer_recv_frag\fP"
.br
.RI "\fIcurrent recv frag being processed \fP"
.ti -1c
.RI "\fBmca_ptl_tcp_state_t\fP \fBpeer_state\fP"
.br
.RI "\fIcurrent state of the connection \fP"
.in -1c
.SH "Detailed Description"
.PP 
An abstraction that represents a connection to a peer process. 

An instance of mca_ptl_base_peer_t is associated w/ each process and PTL pair at startup. However, connections to the peer are established dynamically on an as-needed basis: 
.PP
.SH "Field Documentation"
.PP 
.SS "int \fBmca_ptl_base_peer_t::my_smp_rank\fP"
.PP
My SMP process rank. 
.PP
Used for accessing SMP specfic data structures. 
.SS "int \fBmca_ptl_base_peer_t::peer_smp_rank\fP"
.PP
My peer's SMP process rank. 
.PP
Used for accessing SMP specfic data structures. 

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
